local lastTauntTime = 0

local tauntAbilityStrings = {
	"Durchschlag^m",
	"Durchsto\195\159^m",
	"Durchw\195\188hlen^n",
	"Puncture",
	"Ransack",
	"Pierce Armor",
	"inneres Feuer^f",
	"innere Wut^f",
	"innere Bestie^f",
	"Inner Fire",
	"Inner Rage",
	"Inner Beast",
	"Perforation^f",
	"Mise \195\160 sac^f",
	"Perce-armure^M",
	"Feu int\195\169rieur^m",
	"Rage int\195\169rieure^f",
	"B\195\170te int\195\169rieure^f"
}

function TauntCheckStart()
		TauntCheck:RegisterForEvent(EVENT_COMBAT_EVENT, CheckIfCombatEventWasTauntSkill )
		TauntCheck:SetHandler("OnUpdate", function() OnUpdate() end)
end

function  CheckIfCombatEventWasTauntSkill ( eventCode , result , isError, abilityName, abilityGraphic, abilityActionSlotType, sourceName, sourceType, targetName, targetType, hitValue, powerType, damageType, log )
	if ( IsUnitInCombat("player")) then
		if ((result == ACTION_RESULT_DAMAGE) or (result == ACTION_RESULT_DAMAGE_SHIELDED)) then				
			for _,v in pairs(tauntAbilityStrings) do
  				if v == abilityName then
	   				CheckWhoUsedTauntSkill(sourceName)
	    				break
	  			end
			end		
		end
	end

end

function CheckWhoUsedTauntSkill(sourceName)

	if (((sourceName == GetUnitName("player")) or (sourceName == GetRawUnitName("player")))) then
		TauntStarted()
	else
		d("Someone else used a taunt ability!")
		d(sourceName)
	end
end


function TauntStarted () 
	lastTauntTime = GetGameTimeMilliseconds()
end


function OnUpdate()
	if (not IsUnitInCombat("player")) then
		TauntCheckCounter:SetText("")
		lastTauntTime = lastTauntTime - 15000
		return
	end

	if (GetGameTimeMilliseconds() - lastTauntTime > 15000) then
		TauntCheckCounter:SetText("")
	else
		local duration = zo_roundToNearest((15000 - (GetGameTimeMilliseconds() - lastTauntTime))/1000,1)
		
		if (duration < 6) then
			TauntCheckCounter:SetColor(1,0,0,1)
		else
			TauntCheckCounter:SetColor(0.811764,0.86274509,0.74117647,1)
		end

		TauntCheckCounter:SetText(duration)
	end
	
	
end

